﻿
Public Class Form1

    Private Sub btnTest_Click(sender As Object, e As EventArgs) Handles btnTest.Click
        Dim prvni_tah As List(Of Byte) = New List(Of Byte)(6 + 1)
        Dim druhy_tah As List(Of Byte) = New List(Of Byte)(6 + 1)
        Dim sance As List(Of Byte) = New List(Of Byte)(6 + 0)

        Dim wb As WebBrowser = New WebBrowser()
        wb.Url = New Uri("http://hry.sazka.cz/sportka/result?date=14.4.2013")

        AddHandler wb.DocumentCompleted,
            Sub()
                Dim doc As HtmlDocument = wb.Document
                wb.Dispose()

                Dim table_vse As HtmlElement = doc.GetElementById("orderedList").Children(0)    ' přidává si <tbody>
                Dim tr_prvni_tah As HtmlElementCollection = table_vse.Children(0).GetElementsByTagName("td") ' první řádek
                Dim tr_druhy_tah As HtmlElementCollection = table_vse.Children(1).GetElementsByTagName("td") ' druhý řádek

                For Each pt As HtmlElement In tr_prvni_tah
                    If pt.InnerText <> " " Then
                        prvni_tah.Add(Convert.ToByte(pt.InnerText))
                    End If
                Next

                Dim i As Int16 = 0
                For Each pt As HtmlElement In tr_druhy_tah
                    If pt.InnerText <> " " Then
                        If (i < druhy_tah.Capacity) Then
                            druhy_tah.Add(Convert.ToByte(pt.InnerText))
                        Else
                            sance.Add(Convert.ToByte(pt.InnerText))
                        End If
                        i += 1
                    End If
                Next
                Dim radek As Byte = 0
                pridejTextbox("prvniTah", prvni_tah, radek, True)
                radek += 1
                pridejTextbox("druhyTah", druhy_tah, radek, True)
                radek += 1
                pridejTextbox("sance", sance, radek, False)

            End Sub ' konec event document_complete

    End Sub

    Sub pridejTextbox(nazev_tahu As String, cisla As List(Of Byte), radek As Byte, Optional extra As Boolean = False)
        For i = 0 To cisla.Capacity - 1
            Dim txt As TextBox = New TextBox
            txt.Name = "txt" & nazev_tahu & "_" & i
            txt.Size = New System.Drawing.Size(20, 20)
            txt.Location = New System.Drawing.Point(50 + txt.Width * (i * 1.5), 40 + (radek * 1.5) * txt.Height) '* (i * 1.5))
            txt.TabIndex = i
            txt.Text = cisla(i)
            If (extra And i = cisla.Capacity - 1) Then
                txt.BackColor = Color.Yellow
            End If
            Me.Controls.Add(txt)
        Next
        Dim lab As Label = New Label
        lab.Text = nazev_tahu
        lab.AutoSize = True
        lab.Location = New Point(0, 30 + radek * 1.5 * 20)
        Me.Controls.Add(lab)
    End Sub
End Class
